{
  imports = [
    ./hardware-configuration.nix

    ../common/global
    ../common/users/julian
    ../common/optional/binarycaches.nix

    ../common/optional/remote-builder.nix
    ../common/optional/boot-efi.nix

    ../common/optional/greetd.nix
    ../common/optional/authentication.nix
    ../common/optional/pcmanfm.nix
    ../common/optional/pipewire.nix

    ../common/optional/gamemode.nix
    ../common/optional/virtualbox.nix

    ../common/optional/podman.nix
    ../common/optional/wireguard.nix
    ../common/optional/flatpak.nix

    ../common/optional/avahi.nix
  ];

  networking.hostName = "aspi";
  system.stateVersion = "24.05";

  modules = {
    syncthing = {
      enable = true;
      overrideSettings = false;
    };
    frajulAutoUpgrade = {
      enable = true;
      flakePath = "/home/julian/.dotfiles";
    };
  };

  services.blueman.enable = true;
  services.upower.enable = true;

  programs.steam.enable = true;

  # TODO: not working
  services.logind.lidSwitch = "lock";
  services.logind.lidSwitchDocked = "lock";

  programs.kdeconnect.enable = true;

  # Enable touchpad support
  services.libinput.enable = true;
}
